## ev-window-title

ev-window-title —

## Synopsis

                EvWindowTitle;
    enum        EvWindowTitleType;
    EvWindowTitle* ev_window_title_new          (EvWindow *window);
    void        ev_window_title_set_type        (EvWindowTitle *window_title,
                                                 EvWindowTitleType type);
    void        ev_window_title_set_document    (EvWindowTitle *window_title,
                                                 EvDocument *document);
    void        ev_window_title_set_uri         (EvWindowTitle *window_title,
                                                 const char *uri);
    void        ev_window_title_free            (EvWindowTitle *window_title);

## Description

## Details

### EvWindowTitle

    typedef struct _EvWindowTitle EvWindowTitle;

### enum EvWindowTitleType

    typedef enum
    {
    	EV_WINDOW_TITLE_DOCUMENT,
    	EV_WINDOW_TITLE_PASSWORD
    } EvWindowTitleType;

### ev_window_title_new ()

    EvWindowTitle* ev_window_title_new          (EvWindow *window);

`window` : |
Returns : |

### ev_window_title_set_type ()

    void        ev_window_title_set_type        (EvWindowTitle *window_title,
                                                 EvWindowTitleType type);

`window_title` : |
`type` : |

### ev_window_title_set_document ()

    void        ev_window_title_set_document    (EvWindowTitle *window_title,
                                                 EvDocument *document);

`window_title` : |
`document` : |

### ev_window_title_set_uri ()

    void        ev_window_title_set_uri         (EvWindowTitle *window_title,
                                                 const char *uri);

`window_title` : |
`uri` : |

### ev_window_title_free ()

    void        ev_window_title_free            (EvWindowTitle *window_title);

`window_title` : |